---
title: GlobalEventHandlers.onmousedown
slug: Web/API/GlobalEventHandlers/onmousedown
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
---
<div>{{ ApiRef("HTML DOM") }}</div>

<p>The <strong><code>onmousedown</code></strong> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("mousedown")}} events.</p>

<p>The <code>mousedown</code> event fires when the user depresses the mouse button.</p>

<div class="notecard note">
<p><strong>Note:</strong> The opposite of <code>onmousedown</code> is {{domxref("GlobalEventHandlers.onmouseup", "onmouseup")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>target</em>.onmousedown = <em>functionRef</em>;
</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("MouseEvent")}} object as its sole argument.</p>

<h2 id="Example">Example</h2>

<p>This example reveals part of an image when you press and hold a mouse button. It uses the <code>onmousedown</code>, {{domxref("GlobalEventHandlers.onmouseup", "onmouseup")}}, and {{domxref("GlobalEventHandlers.onmousemove", "onmousemove")}} event handlers.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;div class="container"&gt;
  &lt;div class="view" hidden&gt;&lt;/div&gt;
  &lt;img src="https://interactive-examples.mdn.mozilla.net/media/examples/gecko-320-213.jpg"&gt;
&lt;/div&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css">.container {
  width: 320px;
  height: 213px;
  background: black;
}

.view {
  position: absolute;
  width: 100px;
  height: 100px;
  background: white;
  border-radius: 50%;
}

img {
  mix-blend-mode: darken;
}</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">function showView(event) {
  view.removeAttribute('hidden');
  view.style.left = event.clientX - 50 + 'px';
  view.style.top = event.clientY - 50 + 'px';
  event.preventDefault();
}

function moveView(event) {
  view.style.left = event.clientX - 50 + 'px';
  view.style.top = event.clientY - 50 + 'px';
}

function hideView(event) {
  view.setAttribute('hidden', '');
}

const container = document.querySelector('.container');
const view = document.querySelector('.view');

container.onmousedown = showView;
container.onmousemove = moveView;
document.onmouseup = hideView;</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 700, 300)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-onmousedown','onmousedown')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.GlobalEventHandlers.onmousedown")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("mousedown")}} event</li>
</ul>
